curl_escape {curl} | R Documentation

## URL encoding

### Description

Escape all special characters (i.e. everything except for a-z, A-Z, 0-9, '-', '.', '_' or '~') for use in URLs.

### Usage

    curl_escape(url)

    curl_unescape(url)

### Arguments

`url` | A character vector (typically containing urls or parameters) to be encoded/decoded

### Examples

    # Escape strings
    out <- curl_escape("foo = bar + 5")
    curl_unescape(out)

    # All non-ascii characters are encoded
    mu <- "\u00b5"
    curl_escape(mu)
    curl_unescape(curl_escape(mu))

[Package curl version 2.6 Index]